Page MenuHomePhabricator

Change the name of the 'Earlier revisions' filter
Closed, ResolvedPublic

Description

The 'Last revision" filter group is meant to be a total-coverage group. But the name of the filter that is not "Last revision"—"Earlier revisions"—is inaccurate and potentially confusing, since this filter actually picks up everything that's not a Last Revision, including Logged actions such as user registrations, etc.

Please change the name of this filter so that the set reads as follows:

Latest revision

Latest revision
Only the most recent change to a page.
Not the latest revision
All changes that are not the "Latest revision."

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 30 2017, 6:32 PM
Etonkovidova renamed this task from 'Earlier revisions' and 'Last revision' filters applied to Logged user accounts changes to 'Earlier revisions' and 'Last revision' filters applied to all Logged actions.May 30 2017, 6:33 PM

Thanks @Etonkovidova. The behavior you describe is not wrong, I think. The goal was for this group to be total coverage. So the "Earlier revisions" includes all kinds of things. It's basically anything that's not a Last Revision. We could make it so that these were restricted to Page Edits, but there's already a filter for Page edits, so I'd prefer not to introduce a hidden filter.

Maybe a fix to the language would help? The current language is:

Last revision

Last revision
The most recent change to a page.
Earlier revisions
All changes that are not the most recent change to a page.

Filter name ideas

"Earlier revisions" does kind of imply that these are page edits, instead of any old thing. The trick with the filter name is that it needs to stand on its own in the Active Filter Display area.

  • Other changes [Would this be too open-ended on its own at the top?]
  • Not last revisions

Description text ideas

  • All changes that are not "Last revisions"
  • All changes except "Last revisions"
  • All changes of any type, except "Last revisions"

Proposal

So, I suppose this is my proposal:

Not last revisions
All changes that are not "Last revisions"

@Pginer-WMF, what do you think?

jmatazzoni renamed this task from 'Earlier revisions' and 'Last revision' filters applied to all Logged actions to Change the name of the 'Earlier revisions' filter.Jun 16 2017, 12:10 AM
jmatazzoni updated the task description. (Show Details)
jmatazzoni updated the task description. (Show Details)

Not last revisions
All changes that are not "Last revisions"
@Pginer-WMF, what do you think?

Sounds good to me. I understand the lack of precision of the original terms, but I'm not sure they'd create much problem in practice.
In any case, the proposed term, although they read a bit less natural, may work well too.

Should we say "latest" rather than "last"? They mean different things. :-)

They can mean different things. I liked the definite sound of the word "last." But happy to change this if people prefer. Here are the two versions for comparison, before we set this in stone. Thoughts or preferences, anyone?

Last revision

Last revision
The most recent change to a page.
Not last revisions
All changes that are not "Last revisions."

Latest revision

Latest revision
The most recent change to a page.
Not latest revisions
All changes that are not "Latest revisions."

I think that works for me. Happy to implement if you're OK.

Added to description

Change 366313 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] RC Filters: Tweak i18n for latest/not latest revision filter

https://gerrit.wikimedia.org/r/366313

Change 366313 merged by jenkins-bot:
[mediawiki/core@master] RC Filters: Tweak i18n for latest/not latest revision filter

https://gerrit.wikimedia.org/r/366313

Jdforrester-WMF triaged this task as Medium priority.Jul 20 2017, 6:29 PM

Checked in betalabs

  • Are we ok with the filter group name 'Latest revision's (cause the group includes 'Not the latest revision' too) ?

QA Recommendation: Product should weigh in

jmatazzoni closed this task as Resolved.Jul 21 2017, 7:36 PM